> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Blast

> Get blast detail with channel-specific content.



## OpenAPI

````yaml get /comms/blasts/{blast_id}
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /comms/blasts/{blast_id}:
    get:
      tags:
        - Message Blasts
      summary: Get Blast
      description: Get blast detail with channel-specific content.
      operationId: get_blast_comms_blasts__blast_id__get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: blast_id
          in: path
          required: true
          schema:
            type: string
            title: Blast Id
        - name: tz
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              IANA timezone for warming-schedule date anchoring (e.g.
              America/New_York)
            title: Tz
          description: >-
            IANA timezone for warming-schedule date anchoring (e.g.
            America/New_York)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BlastDetail'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BlastDetail:
      properties:
        id:
          type: string
          title: Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        channel:
          $ref: '#/components/schemas/BlastChannel'
        status:
          $ref: '#/components/schemas/BlastStatus'
        cohortId:
          anyOf:
            - type: string
            - type: 'null'
          title: Cohortid
        cohortName:
          anyOf:
            - type: string
            - type: 'null'
          title: Cohortname
        cohortIds:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Cohortids
        cohortNames:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Cohortnames
        senderId:
          type: string
          title: Senderid
        totalRecipients:
          type: integer
          title: Totalrecipients
          default: 0
        sentCount:
          type: integer
          title: Sentcount
          default: 0
        deliveredCount:
          type: integer
          title: Deliveredcount
          default: 0
        failedCount:
          type: integer
          title: Failedcount
          default: 0
        bouncedCount:
          type: integer
          title: Bouncedcount
          default: 0
        optedOutCount:
          type: integer
          title: Optedoutcount
          default: 0
        sentAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Sentat
        completedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completedat
        createdDate:
          type: string
          format: date-time
          title: Createddate
        attachments:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Attachments
        smsContent:
          anyOf:
            - type: string
            - type: 'null'
          title: Smscontent
        emailSubject:
          anyOf:
            - type: string
            - type: 'null'
          title: Emailsubject
        emailBodyHtml:
          anyOf:
            - type: string
            - type: 'null'
          title: Emailbodyhtml
        emailBodyText:
          anyOf:
            - type: string
            - type: 'null'
          title: Emailbodytext
        emailPreviewText:
          anyOf:
            - type: string
            - type: 'null'
          title: Emailpreviewtext
        fromName:
          anyOf:
            - type: string
            - type: 'null'
          title: Fromname
        isMarketing:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Ismarketing
        skippedBreakdown:
          additionalProperties:
            type: integer
          type: object
          title: Skippedbreakdown
        openedCount:
          type: integer
          title: Openedcount
          default: 0
        clickedCount:
          type: integer
          title: Clickedcount
          default: 0
        complainedCount:
          type: integer
          title: Complainedcount
          default: 0
        replyCount:
          type: integer
          title: Replycount
          default: 0
        actualCostCents:
          anyOf:
            - type: integer
            - type: 'null'
          title: Actualcostcents
        lowDeliveryAlert:
          type: boolean
          title: Lowdeliveryalert
          default: false
        warming:
          anyOf:
            - $ref: '#/components/schemas/BlastWarmingInfo'
            - type: 'null'
      type: object
      required:
        - id
        - channel
        - status
        - senderId
        - createdDate
      title: BlastDetail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BlastChannel:
      type: string
      enum:
        - SMS
        - EMAIL
      title: BlastChannel
    BlastStatus:
      type: string
      enum:
        - PENDING
        - SENDING
        - WARMING
        - COMPLETED
        - PARTIALLY_FAILED
        - FAILED
        - STOPPED
      title: BlastStatus
    BlastWarmingInfo:
      properties:
        domainCumulativeSent:
          type: integer
          title: Domaincumulativesent
        domainDailyCap:
          anyOf:
            - type: integer
            - type: 'null'
          title: Domaindailycap
        domainRemainingToday:
          anyOf:
            - type: integer
            - type: 'null'
          title: Domainremainingtoday
        unsentForOtherBlastsOnDomain:
          type: integer
          title: Unsentforotherblastsondomain
          default: 0
        startsSendingDate:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Startssendingdate
        projectedSchedule:
          items:
            $ref: '#/components/schemas/BlastWarmingScheduleDay'
          type: array
          title: Projectedschedule
          default: []
      type: object
      required:
        - domainCumulativeSent
      title: BlastWarmingInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    BlastWarmingScheduleDay:
      properties:
        date:
          type: string
          format: date
          title: Date
        dayOffset:
          type: integer
          title: Dayoffset
        cap:
          anyOf:
            - type: integer
            - type: 'null'
          title: Cap
        consumedFromOtherBlasts:
          type: integer
          title: Consumedfromotherblasts
          default: 0
        plannedSend:
          type: integer
          title: Plannedsend
          default: 0
        cumulativeThroughDay:
          type: integer
          title: Cumulativethroughday
          default: 0
        isHistorical:
          type: boolean
          title: Ishistorical
          default: false
        actualSentSoFar:
          anyOf:
            - type: integer
            - type: 'null'
          title: Actualsentsofar
      type: object
      required:
        - date
        - dayOffset
      title: BlastWarmingScheduleDay

````